# -*- mode: dockerfile -*-
FROM node:lts-alpine as builder

# some js pkgs are taken from gitlab:
RUN apk add --no-cache git

ENV NODE_ENV production
WORKDIR /home/node/app
COPY package.json .

# Ignore NODE_ENV and install ALL deps (including dev):
RUN yarn --production=false

COPY . .

# RUN yarn --production && yarn build:pashinin && yarn cache clean
RUN yarn build && yarn cache clean

# FROM openresty/openresty:latest
FROM openresty/openresty:stretch-fat

# Nginx: /usr/share/nginx/html
# Openresty: /usr/local/openresty/nginx/html
COPY --from=builder /home/node/app/dist /usr/local/openresty/nginx/html
COPY --from=builder /home/node/app/deploy/nginx.conf /usr/local/openresty/nginx/conf/nginx.conf
EXPOSE 80
